Inquiries

Get Inquiry

Retrieve a single inquiry with populated polymorphic source data. Results are filtered by the organization associated with the API key.

GET
/v1/inquiries/{inquiryId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Path Parameters

inquiryId*string

The unique identifier for the inquiry

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sophiie.ai/v1/inquiries/in_abc123"
{
  "id": "in_xyz789",
  "tag": "urgent",
  "summary": "Customer inquiry about new service offering",
  "isFirstInquiry": true,
  "isRead": false,
  "leadId": "ld_abc123",
  "createdAt": "2023-01-01T00:00:00.000Z",
  "source": "CALL",
  "data": {
    "id": "123456",
    "summary": "Customer inquiry about service",
    "keyPoints": [
      "Interested in premium service",
      "Needs quote"
    ],
    "recordingUrl": "https://example.com/recording.mp3",
    "transcripts": [
      {
        "id": "string",
        "created_at": "string",
        "text": "string",
        "user": "assistant"
      }
    ],
    "direction": "LEAD_TO_AI",
    "duration": 300,
    "startedAt": "2023-01-01T10:00:00.000Z",
    "endedAt": "2023-01-01T10:05:00.000Z",
    "endedBy": "user"
  }
}
{
  "success": false,
  "message": "Invalid or expired token",
  "error": {
    "status": 401,
    "message": "Invalid or expired token"
  }
}
{
  "success": false,
  "message": "Not found",
  "error": {
    "status": 404,
    "message": "Not found"
  }
}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "status": 500,
    "message": "Internal server error"
  }
}